Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config.simple.editor
Class JposEntryEditorUtility

    java.lang.Object
      |
      +--jpos.config.simple.editor.JposEntryEditorUtility

public class JposEntryEditorUtility
extends java.lang.Object

Utility class for the JposEntryEditor, provides utility methods for loading images, number conversion and other.

Since:
  1.3 (SF 2K meeting)
Author:
  Manuel M Monserrate, E. Michael Maximilien (maxim@us.ibm.com)

Field Summary
`static java.lang.String` | `PATHFORIMAGEFILES`

Method Summary
`static java.lang.String` | `formatText(java.lang.String value, boolean showAsHexFlag)` reads an String representation of an Integer, if the showAsHexFlag is set, it converts it to hex to a hex string representation for display
`static javax.swing.ImageIcon` | `getTreeImage(java.lang.String imageName)`
`static java.lang.String` | `readHex(java.lang.String value, boolean showAsHexFlag)` reads an String representation of an Integer, if the showAsHexFlag is set, it attemps to read the hex number and convert it to the string representation of the integer for storage

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PATHFORIMAGEFILES

    public static final java.lang.String PATHFORIMAGEFILES

Method Detail

### getTreeImage

    public static javax.swing.ImageIcon getTreeImage(java.lang.String imageName)

  Parameters:
    `imageName` - the String representing the image to be returned
  Returns:
    an ImageIcon from anywhere in the classpath
  Since:
    1.3 (SF 2K meeting)

### formatText

    public static java.lang.String formatText(java.lang.String value,
                                              boolean showAsHexFlag)

  reads an String representation of an Integer, if the showAsHexFlag is set, it converts it to hex to a hex string representation for display
  Parameters:
    `value` - the string to format
    `showAsHexFlag` - the boolean flag that determines wether to display a number as hex
  Returns:
    a String to be displayed in the text field

### readHex

    public static java.lang.String readHex(java.lang.String value,
                                           boolean showAsHexFlag)

  reads an String representation of an Integer, if the showAsHexFlag is set, it attemps to read the hex number and convert it to the string representation of the integer for storage
  Parameters:
    `value` - the string to format
    `showAsHexFlag` - the boolean flag that determines wether to display a number as hex
  Returns:
    a String to be stored

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details